Rep Portal Accounts
Unregister rep account
Removes the rep’s Rep Portal login. The rep is kept.
DELETE
/
reps
/
{id}
/
account
/
Unregister rep account
curl --request DELETE \
--url https://api.velocity.shop/reps/{id}/account/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.velocity.shop/reps/{id}/account/"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.velocity.shop/reps/{id}/account/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.velocity.shop/reps/{id}/account/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.velocity.shop/reps/{id}/account/"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.velocity.shop/reps/{id}/account/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.velocity.shop/reps/{id}/account/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"is_disabled": true,
"has_portal_access": true,
"customer_id": 123,
"permissions": [
{
"name": "<string>",
"group": "Addresses",
"slug": "authentication.repuser.view_all_entities"
}
],
"alignments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"has_commission_overrides": true,
"identifier": "<string>",
"notifications": [
{
"event": "NEW_ORDER",
"channel": "EMAIL"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The rep ID.
Response
200 - application/json
An empty string indicates no email.
Show child attributes
Show child attributes
The teams the rep belongs to.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Unregister rep account
curl --request DELETE \
--url https://api.velocity.shop/reps/{id}/account/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.velocity.shop/reps/{id}/account/"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.velocity.shop/reps/{id}/account/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.velocity.shop/reps/{id}/account/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.velocity.shop/reps/{id}/account/"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.velocity.shop/reps/{id}/account/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.velocity.shop/reps/{id}/account/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"is_disabled": true,
"has_portal_access": true,
"customer_id": 123,
"permissions": [
{
"name": "<string>",
"group": "Addresses",
"slug": "authentication.repuser.view_all_entities"
}
],
"alignments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"has_commission_overrides": true,
"identifier": "<string>",
"notifications": [
{
"event": "NEW_ORDER",
"channel": "EMAIL"
}
]
}
